# QVM: Quaternions, Vectors, Matrices

### operator-=(mat,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_mat<B>::value &&
            //  mat_traits<A>::rows==mat_traits<B>::rows &&
            //  mat_traits<A>::cols==mat_traits<B>::cols
            template <class A,class B>
            A & operator-=( A & a, B const & b );
        }
    }

#### Effects:

Subtracts the elements of b from the corresponding elements of a.

#### Returns:

a.

See also: boost/qvm/mat_operations.hpp